File: changelog

package info (click to toggle)
libtemplates-parser 20-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 3,224 kB
  • sloc: ada: 11,583; python: 645; makefile: 347; sh: 37
file content (394 lines) | stat: -rw-r--r-- 16,256 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
libtemplates-parser (20-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequenc syntax for ada-library and sphinxdoc.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 15:12:56 +0100

libtemplates-parser (20-2) experimental; urgency=medium

  * Use dh-sequence-* syntax for dh-ada-library.
  * Select specific dpkg-dev Makefile snippets.
  * Fix typo in Vcs-Git URL.
  * Bump Standards-Version.
  * Wrap and sort build dependencies.
  * Update ADTTMP variable name in autopkgtest.
  * Prevent a warning about doc-main-package autodetection.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 Dec 2019 12:33:09 +0100

libtemplates-parser (20-1) experimental; urgency=medium

  * New upstream release. Rebuild with GCC-9 and updated dependencies.
    Rename library and -dev packages per Ada policy.
  * Move Vcs-* to salsa.debian.org.
  * Enable various linker warnings. --as-needed is the default in gcc-9,
    removing the need for handle_build_flags.diff.
  * Debhelper 12. Examples are not compressed by default anymore.
  * Standards-Version 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Aug 2019 21:58:56 +0200

libtemplates-parser (19-3) unstable; urgency=medium

  * Standards-Version: 4.3.0.
  * Rules-Requires-Root: no.
  * doc-no-project-language.diff: removey an unused language from
    docs/docs.pgr, as gprbuild becomes more picky. Closes: #917499.
  * Link with -Wl,--as-needed -Wl,--no-undefined.
  * Enable parallel build for documentation now that #869098 is fixed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Dec 2018 21:07:28 +0100

libtemplates-parser (19-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:04 +0200

libtemplates-parser (19-1) experimental; urgency=medium

  * New upstream release. No ALI/SO renaming in experimental.
  * Package the pure GPL releases. Explain the version in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 20:00:45 +0200

libtemplates-parser (17.2-4) experimental; urgency=medium

  * Rebuild with gnat-8, libxmlada-*8-dev.
    Rename shared library and -dev package per Debian Ada policy.
  * Debhelper 11.
  * Drop obsolete version restriction on dpkg-dev.
  * Standards-Version: 4.1.4.
  * Add forgotten sphinxdoc:Built-Using substitution variable.
  * Delete trailing white spaces in this changelog.
  * Split line in debian/patches/series to help lintian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 16:53:01 +0200

libtemplates-parser (17.2-3) unstable; urgency=medium

  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872230.
  * Rebuild with xmlada 17.1.2017-5. -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Build-Depend: python3 version of sphinx-doc.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 13:48:44 +0200

libtemplates-parser (17.2-2) unstable; urgency=medium

  * Upload to unstable.
    The compiler change requires a SO change in runtime package name,
    but makes the Break/Replace with previous -dev unnecessary.
  * Prevent parallel sphinx runs to circumvent #869098.
  * Standards-Version: 4.0.1 (no changes).
  * Drop explicit rules targets confusing dh.
  * Use new texlive package name in Build-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 09:44:27 +0200

libtemplates-parser (17.2-1) experimental; urgency=medium

  * Build with gnat-7. No ALI/SO package renaming in experimental.
  * New upstream release. Drop applied, refused or obsolete style patches.
    Split handle_build_flags.diff, creating rename-so-lib.diff.
    Cherry-pick ldflags-only-for-shared.diff from upstream VCS.
  * Replace file copies in d/rules with avoid-gprbuild-subdir-option.diff.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Set watch file to track github tags. Drop README.source.
  * Standards-Version: 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
    Downgrade -doc to Suggests. Use https copyright format URL.
  * Debhelper 10.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Jul 2017 15:14:53 +0200

libtemplates-parser (11.10-5) experimental; urgency=medium

  * Rebuild against XML/Ada GPL 2016. Increase ALI version in -dev package
    name, Break/Replace previous version per Ada policy.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 03:21:48 +0200

libtemplates-parser (11.10-4) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830367.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:27:43 +0200

libtemplates-parser (11.10-3) unstable; urgency=medium

  * Require gprbuild linking with -lgnat6 instead of -lgnat-5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 02:35:49 +0200

libtemplates-parser (11.10-2) unstable; urgency=medium

  * Build with gnat-6 and xmlada6, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Put LDFLAGS before libraries in linker options.
  * Do not freeze clock for docs: pdflatex is being patched, and faketime
    triggers a recompilation of the library.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Move sphinx-common to Build-Depends-Indep.
  * tests: do not assume gnatmake supports GNAT projects.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:39:53 +0200

libtemplates-parser (11.10-1) experimental; urgency=medium

  * New upstream. Build with gprbuild, gnat 5 and xmlada 6.
  * Per Ada policy, rename lib/-dev packages and remove Conflict/Replace.
  * Author grants GCC Runtime Library and GNAT generics exceptions to GPL-3+.
    Drop Monotone repositories, get-orig-source target and header patches.
    Add a real watch file, downloading head of git branches used for releases.
  * Sort patches to minimize fuzz during next refresh.
    optimize-templates_parser.adb-as-other-sources fixes an upstream bug.
    explicit-that-build-doc-target-requires-tp_shared.diff: forwarded fix.
    xmlada-split.diff: handle XMLAda split in modules.
    no-need-for-gprclean.diff: avoid an infinite gprclean loop.
  * (style) Merge two ada_libraries settings into a single debhelper override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 04 Apr 2016 15:20:54 +0200

libtemplates-parser (11.8.2014-5) unstable; urgency=medium

  * simplify rules, avoiding a circular symlink. Closes: #818416.
  * patches making more upstream flexible instead of rewriting it.
  * call dh_ada_library only during arch builds, fixing -indep builds.
  * remove libtemplates-parser-doc.links, redundant with sphinx-doc.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2016 18:12:24 +0200

libtemplates-parser (11.8.2014-4) unstable; urgency=medium

  * Freeze the clock for deterministic PDF timestamps.
    Touch generated sources for deterministic ALI files and tar headers.
  * rules: accept gnat (>= 5): versioned debian_packaging.mk
    and dh-ada-library (>= 6.5): search ali files in object directory too.
  * Standards-Version: 3.9.6 (no changes).
  * Remove XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 12:52:04 +0200

libtemplates-parser (11.8.2014-3) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 21:23:56 +0200

libtemplates-parser (11.8.2014-2) unstable; urgency=medium

  * Rebuild with libxmlada5-dev. Closes: #757622. Per Ada policy, -dev package
    is renamed 11.8.2014 -> 11.8.2015 and Replaces/Conflicts previous version.
  * Rely on dh_sphinxdoc for -doc package JavaScript dependencies.
  * Generate the version instead of always updating a patch.
  * Remove obsolete wildcard in -dbg lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 02:50:33 +0200

libtemplates-parser (11.8.2014-1) unstable; urgency=medium

  * New upstream release, build with gnat-4.9.
    Library and -dev package renamed due to Ada policy.
    Remove work-around for #687642 (fixed in gnat-4.9).
  * Documentation now builds with sphinx.
  * Standards-Version: 3.9.5 (no changes).
    Machine-readable copyright format.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 May 2014 23:44:15 +0200

libtemplates-parser (11.6-4) unstable; urgency=low

  * Linker option avoiding FTBFS on arm* because of gnat bug #687642.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 20:24:38 +0200

libtemplates-parser (11.6-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Ignore complex and unconfigurable upstream build system for most targets.
  * Autopkg tests.
  * Switch to debhelper 9.
  * Use multiarch paths, generate the system project accordingly.
  * Use dh-ada-library to simplify debian/rules.
    Lintian override: generated lib->dbg dependency reported as missing.
    When many implementation, only install the one used to build.
    -dev: depends on xmlada-dev, not the library.
  * texinfo5.patch: Closes: #707517.
    Avoid recompiling the library for the examples.
    Do not embed unused css in documentation.
    Install doc programs as examples (without execution permission).
  * Upstream changelog. Doc-base registration. Informative watch file.
  * Explicit Build-Depends-Indep: mawk | awk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Aug 2013 06:56:00 +0200

libtemplates-parser (11.6-2) unstable; urgency=low

  * Tighten build dependency on gnat-4.6 (>= 4.6.1-6).  Fixes FTBFS on
    kfreebsd-amd64, kfreebsd-i386.
  * debian/patches/disable-inlining.diff: new; work around compiler bug
    #642981 on armel.
  * debian/rules (clean): adjust to the new upstream version.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  3 Oct 2011 01:01:11 +0200

libtemplates-parser (11.6-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version 11.6
    - remove executable bit in *.ad[sb] files in the installed
      packages
  * add get-orig-source target
    - use bdf9f07b1b98db7064abab7564892a9736b2edd9 of
      com.adacore.templates_parser.debian
  * remove unused build.gpr file
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly

  [Ludovic Brenta]
  * debian/control (Architectures): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 16:48:49 +0200

libtemplates-parser (11.5-4) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.
    (*-doc): add ${misc:Depends} to Depends (lintian warning).
    (Standards-Version): update to 3.8.4 with no changes required.

  [Xavier Grave]
  * debian/patches/makefile-multicore.patch: new, use one compiler job
    per processor core present in the system instead of hardcoded 2.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Jun 2010 17:59:18 +0200

libtemplates-parser (11.5-3) unstable; urgency=medium

  * debian/control (Architectures):
    - temporarily disable mips due to #566234.
    - add armel.  Closes: #568444.
    - s/docs/doc/.  Closes: #568474.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:55:42 +0100

libtemplates-parser (11.5-2) unstable; urgency=low

  * templates_parser.gpr: new Naming package to let applications
    find templates_parser-configuration__standalone.ads.
  * Split the documentation into a new package.
  * debian/control (Build-Depends-Indep): new.
  * debian/rules: support dpkg-buildpackage -A, -B.
  * debian/patches/GPL.patch: new, the GPL also applies to the doc.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 31 Dec 2009 23:51:53 +0100

libtemplates-parser (11.5-1) unstable; urgency=low

  * New upstream version (Subversion revision 145737).
  * Set aliversion=11.5, soversion=11.5 per Debian Policy for Ada.
  * Package renamings:
    libtemplates-parser-dev   -> libtemplates-parser11.5-dev
                                 (with Conflicts: and Replaces:)
    libtemplates-parser11     -> libtemplates-parser11.5
    libtemplates-parser11-dbg -> libtemplates-parser11.5-dbg
  * Build-Depend and Depend on gnat-4.4 instead of gnat-4.3.
  * Build-Depend on libxmlada3.2-dev instead of libxmlada-dev.
  * Drop support for alpha due to http://gcc.gnu.org/PR42073.
  * debian/rules: parse the aliversion and soversion from debian/control.
  * debian/patches/GPL.patch: remove; merged into the .orig.tar.gz.
  * debian/patches/library_version.patch: adjust.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:19:20 +0100

libtemplates-parser (11.1-3) unstable; urgency=low

  * Tighten build-dependency on libxmlada-dev to (>= 3.0-6) to force
    a recompile.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 16:22:42 +0200

libtemplates-parser (11.1-2) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542415.
    (Depends): add ${misc:Depends} for proper support for debhelper.
    s/source:Version/binary:Version/g.
    (Standards-Version): bump to 3.8.3.
    (libtemplates_parser11-dbg): new package containing the detached
    debugging symbols.
  * debian/compat: bump to 7.
  * patches: move to debian/patches; adjust all patches to quilt -p ab.
  * debian/rules: adjust to source format 3.0 (quilt).
  * debian/clean: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 15:20:22 +0200

libtemplates-parser (11.1-1) unstable; urgency=low

  * New upstream release.
  * Change soname to libtemplates_parser.so.11, and binary package name
    to match.
  * debian/control: update Standards-Version to 2.7.3 with no changes.
    Migrate to gnat-4.3.  Migrate to texlive-{generic,fonts}-recommended
    and texlive-latex-base.  Add support for mips, mipsel and ppc64.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.  Use upstream's library
    project files to build, instead of our own.
  * debian/templates_parser.gpr: turn into a library project file.
  * patches/make.patch: new; when executing programs compiled as
    part of the doc, look for libtemplates_parser.so in the proper place.
  * patches/library-version.patch: new; specify the soname of the
    shared library.
  * debian/templates2ada.1, debian/templatespp.1: new.
  * patches/GPL.patch: new; remove the GMGPL special exception text from
    generated documentation, too.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 14 May 2008 21:42:30 +0200

libtemplates-parser (10.0+20080424-1) unstable; urgency=low

  * compilation with last svn sources and gnat-4.3

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu, 24 Apr 2008 10:38:00 +0200

libtemplates-parser (10.0+20060522-5) unstable; urgency=low

  * debian/rules: add an empty binary-indep target.  Closes: #395713.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 29 Oct 2006 00:58:25 +0200

libtemplates-parser (10.0+20060522-4) unstable; urgency=low

  * debian/control: add alpha and s390, as libgnat now exists on these
    archs.  Closes: #380572.
  * debian/rules: use /bin/bash explicitly.  Closes: #380615.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  7 Aug 2006 18:19:32 +0200

libtemplates-parser (10.0+20060522-3) unstable; urgency=low

  * debian/control build-depend on texinfo.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 28 Jul 2006 20:39:39 +0200

libtemplates-parser (10.0+20060522-2) unstable; urgency=low

  * debian/rules: chmod docs/gentexifiles to be executable, fixes FTBFS.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 28 Jul 2006 20:13:50 +0200

libtemplates-parser (10.0+20060522-1) unstable; urgency=low

  * Initial version, to be used in both AWS and GPS.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 20 Jul 2006 01:14:04 +0200